Name: evolution-rspam
Summary: Evolution Plugin for reporting spam
Version: 0.0.6
Release: 5%{?dist}
Group: Applications/Internet
License: GPLv2+
Source: http://gnome.eu.org/rspam-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://gnome.eu.org/evo/index.php/Report_as_Spam
Patch: rspam-0.0.6-razorconfig.patch

Requires: perl-Razor-Agent
Requires: pyzor
Requires: evolution

Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2

BuildRequires: gettext
BuildRequires: evolution-devel
BuildRequires: perl(XML::Parser)

%description
Rspam Evolution Plugin enables Evolution Mail client to report email messages
as spam to checksum-based and statistical filtering networks.
It supports Razor network, DCC, SpamCop and Pyzor.
This plugins requires a pretty new version of evolution to build.
See README for more information about required programs.

%prep
%setup -q -n rspam-%{version}
%patch -p1 -b .razor

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=%{buildroot} INSTALL="install -p"
find %{buildroot} -name \*\.la -print | xargs rm -f
%find_lang rspam

%clean
rm -rf %{buildroot}

%pre
if [ "$1" -gt 1 ]; then
        export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
        gconftool-2 --makefile-uninstall-rule \
                %{_sysconfdir}/gconf/schemas/rspam.schemas >/dev/null || :
fi

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
        %{_sysconfdir}/gconf/schemas/rspam.schemas > /dev/null || :

%preun
if [ "$1" -eq 0 ]; then
        export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
        gconftool-2 --makefile-uninstall-rule \
                %{_sysconfdir}/gconf/schemas/rspam.schemas > /dev/null || :
fi

%files -f rspam.lang
%defattr(-,root,root,-)
%{_datadir}/evolution/*/images/spam.gif
%{_datadir}/evolution/*/images/nspam.gif
%{_sysconfdir}/gconf/schemas/rspam.schemas
%{_datadir}/evolution/*/errors/org-gnome-sa-rspam.error
%{_libdir}/evolution/*/plugins/org-gnome-sa-rspam.eplug
%{_libdir}/evolution/*/plugins/liborg-gnome-sa-rspam.so
%doc AUTHORS
%doc COPYING
%doc ChangeLog
%doc NEWS
%doc README
%doc TODO

%changelog
* Sat Mar 28 2009 Lucian Langa <cooly@gnome.eu.org> - 0.0.6-5
- fix for bug #492319

* Sat Aug 23 2008 Lucian Langa <cooly@gnome.eu.org> - 0.0.6-4
- fix for #458818

* Wed Jul 14 2008 Lucian Langa <lucilanga@gnome.org> - 0.0.6-3
- misc cleanups

* Wed Jul 09 2008 Lucian Langa <lucilanga@gnome.org> - 0.0.6-2
- package name change
- misc cleanups

* Tue Feb 12 2008 Lucian Langa <lucilanga@gnome.org> - 0.0.6-1
- buildroot and url updates

* Sun Jan 27 2008 Lucian Langa <lucilanga@gnome.org>
- Updated to fedora build requires

* Tue Mar 13 2007 cooly <cooly@mips.edu.ms>
- Updated description

* Sun Feb 04 2007 root <root@mayday>
- Initial spec file created by autospec ver. 0.8 with rpm 3 compatibility
